import 'package:xanno/src/anno/project/tpl/tpl.dart';
import 'package:xanno/src/anno/project/tpl/tpl_api_interceptors_log_interceptors.dart' as api_interceptors_log_interceptors;
import 'package:xanno/src/anno/project/tpl/tpl_api_entity_base_entity.dart' as api_entity_base_entity;
import 'package:xanno/src/anno/project/tpl/tpl_api_entity_entity_factory.dart' as api_entity_entity_factory;
import 'package:xanno/src/anno/project/tpl/tpl_api_interceptors_request_interceptors.dart' as api_interceptors_request_interceptors;
import 'package:xanno/src/anno/project/tpl/tpl_api_interceptors_response_interceptors.dart' as api_interceptors_response_interceptors;
import 'package:xanno/src/anno/project/tpl/tpl_api_manager_http_manager.dart' as api_manager_http_manager;
import 'package:xanno/src/anno/project/tpl/tpl_api_transformer_transformer.dart' as api_transformer_transformer;
import 'package:xanno/src/anno/project/tpl/tpl_api_api_factory.dart' as api_api_factory;
import 'package:xanno/src/anno/project/tpl/tpl_api_api_interface.dart' as api_api_interface;

class Tpl {
  static List<FileInfo> get buildCode => [
    FileInfo(filePath: 'api/entity/base_entity.api.dart', codeBuild: api_entity_base_entity.clazzTpl),
    FileInfo(filePath: 'api/entity/entity_factory.entity.dart', codeBuild: api_entity_entity_factory.clazzTpl),
    FileInfo(filePath: 'api/api_factory.interface.dart', codeBuild: api_api_factory.clazzTpl),
    FileInfo(filePath: 'api/api_interface.api.dart', codeBuild: api_api_interface.clazzTpl),
    FileInfo(filePath: 'api/interceptors/log_interceptors.api.dart', codeBuild: api_interceptors_log_interceptors.clazzTpl),
    FileInfo(filePath: 'api/interceptors/request_interceptors.api.dart', codeBuild: api_interceptors_request_interceptors.clazzTpl),
    FileInfo(filePath: 'api/interceptors/response_interceptors.api.dart', codeBuild: api_interceptors_response_interceptors.clazzTpl),
    FileInfo(filePath: 'api/manager/http_manager.api.dart', codeBuild: api_manager_http_manager.clazzTpl),
    FileInfo(filePath: 'api/transformer/transformer.dart', codeBuild: api_transformer_transformer.clazzTpl),
  ];
}
