String clazzTplColorUtil({package}) => """
import 'dart:ui';

/// 请叫我code哥
/// Generates Dart code

// ignore: non_constant_identifier_names
Color RGBA(int r, int g, int b, double a) {
  return Color.fromARGB((a * 255).ceil(), r, g, b);
}

// ignore: non_constant_identifier_names
Color RGB(int r, int g, int b) {
  return RGBA(r, g, b, 1);
}

///16进制
// ignore: non_constant_identifier_names
Color RGB16(int value) {
  return Color(value);
}

extension RGBAExtension on List {
  /// [20, 30, 40, 1].rgba
  Color get rgba =>
      Color.fromARGB((this.last * 255).ceil(), this[0], this[1], this[2]);

  /// [1, 20, 30, 40].argb
  Color get argb =>
      Color.fromARGB((this.first * 255).ceil(), this[1], this[2], this[3]);

  /// [20, 30, 40].rgb
  Color get rgb => Color.fromARGB((1 * 255).ceil(), this[0], this[1], this[2]);
}

extension RGB16Extension on num {
  /// 0xff000000.argb16
  Color get argb16 => Color(this);
}
""";
