String clazzTplWidget({nameCode, svgCase}) => """
import 'package:flutter/widgets.dart';
import 'package:flutter_svg/svg.dart';

/// 请叫我code哥
/// Generates Dart code
enum IconFontName {
  ///自动生成，误自己添加
$nameCode
}

extension HexColor on Color {
  /// String is in the format "aabbcc" or "ffaabbcc" with an optional leading "#".
  static Color fromHex(String hexString) {
    final buffer = StringBuffer();
    if (hexString.length == 6 || hexString.length == 7) buffer.write('ff');
    buffer.write(hexString.replaceFirst('#', ''));
    return Color(int.parse(buffer.toString(), radix: 16));
  }

  /// Prefixes a hash sign if [leadingHashSign] is set to `true` (default is `true`).
  String toHex({bool leadingHashSign = true}) => '\${leadingHashSign ? '#' : ''}'
      '\${alpha.toRadixString(16).padLeft(2, '0')}'
      '\${red.toRadixString(16).padLeft(2, '0')}'
      '\${green.toRadixString(16).padLeft(2, '0')}'
      '\${blue.toRadixString(16).padLeft(2, '0')}';
}

/// 请叫我code哥
/// Generates Dart code
class IconFont extends StatelessWidget {
  ///自动生成，误自己添加
  final IconFontName name;
  final Color color;
  final List<Color> colors;
  final double size;

  IconFont(this.name, {this.size = 14, this.color, this.colors});

  String getColor(
      int arrayIndex, Color color, List<Color> colors, String defaultColor) {
    if (color != null) {
      return color.toHex();
    }
    if (colors != null && colors.isNotEmpty && colors.length > arrayIndex) {
      return colors.elementAt(arrayIndex).toHex();
    }
    return defaultColor;
  }

  String getSvgXml() {
    String svgXml;
    switch (name) {
$svgCase
    }
    return svgXml;
  }

  @override
  Widget build(BuildContext context) {
    String svgXml = getSvgXml();
    if (svgXml == null) {
      return Container();
    }
    return SvgPicture.string(svgXml, width: this.size, height: this.size);
  }
}
""";
