class GProject {
  /// ```dart
  /// init 是否初始化基础工程
  ///
  /// yaml dev 配置:
  /// dev_dependencies:
  /// source_gen: ^0.9.8
  /// build_runner: ^1.10.6
  /// xanno: ^0.0.1
  ///
  /// 项目根目录执行命令:
  /// flutter packages pub run build_runner build && flutter pub get
  ///
  /// 以后只需执行 ./build.sh
  /// ```
  final bool init;

  final bool enable;

  const GProject({this.init, this.enable = true});
}
