String clazzTpl({package}) => """
import 'package:$package/common/localization_constant.local.dart';
import 'package:flutter/material.dart';
import 'package:xanno/xanno.dart';

@GRoute(url: '/', title: 'main')
class MainPage extends StatefulWidget {
  final String title;

  const MainPage({Key key, this.title}) : super(key: key);

  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          widget.title,
          style: TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
        ),
      ),
      body: Center(
        child: Text(
          I18N.local('local_key', en: 'hello xanno', zh: '你好 xanno'),
          style: TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
        ),
      ),
    );
  }
}
""";
