String clazzTpl({package}) => """
import 'package:$package/pages/main/store/constant.dart';
import 'package:$package/store/base_action.dart';
import 'package:$package/store/user/main.dart';
import 'package:redux/redux.dart';

UserState userReducer(UserState state, action) {
  if (!(action is BaseAction)) return state;
  switch (action.type) {
    case actions.UPDATE_APP_DEBUG:
      return state.copyWith(appDebug: action.data);
  }
  return state;
}

// ignore: non_constant_identifier_names
final UserReducer = combineReducers<UserState>([userReducer]);
""";
