String clazzTpl({package}) => """
import 'user/main.dart';

class AppState {
  final UserState userState;

  AppState({
    this.userState,
  });

  AppState copyWith({
    userState,
  }) {
    return AppState(
      userState: userState ?? this.userState,
    );
  }

  static AppState fromJson(dynamic json) {
    if (json == null) return AppState.initialState();
    return AppState(
      userState: UserState.fromJson(json["userState"]),
    );
  }

  dynamic toJson() => {
        'userState': userState.toJson(),
      };

  static AppState initialState() {
    return AppState(
      userState: UserState.initialState(),
    );
  }
}
""";
