String clazzTpl({package}) => """
import 'package:flutter/foundation.dart';

const bool isRelease = const bool.fromEnvironment("dart.vm.product");

logDebugPrint(String message, {int wrapWidth}) {
  if (!isRelease) {
    debugPrint(message, wrapWidth: wrapWidth);
  }
}

logPrint(Object object) {
  if (!isRelease) {
    print(object);
  }
}

extension LogPrintExtension on Object {
  void get print => logPrint(this);
}

extension logDebugPrintExtension on String {
  void get debugPrint => logDebugPrint(this);
}
""";
